<?php
$sql = 'UPDATE ' . $table . ' SET
			Text =	"' . addslashes($_POST['Text']) . '"
		WHERE
			(Jahr	= "' . $Jahr . '"
		AND
			ID		= "' . $ID . '");';
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
}

if ("bestaet" == $_GET['section'])
{
	$sql = 'UPDATE ' . PREFIX . '_Auftraege SET
				Auftrag_Preis	= "' . $_POST['Auftrag_Preis'] . '"
			WHERE
				(Jahr 		= "' . $Jahr . '"
			AND
				ID 			= "' . $ID . '");';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
}
if ("rechnung" == $_GET['section'])
{
	$sql = 'UPDATE ' . PREFIX . '_Rechnungen SET
				Preis	= "' . $_POST['Preis'] . '",
				UStG_13	= "' . $_POST['UStG_13'] . '"
			WHERE
				(Jahr 		= "' . $Jahr . '"
			AND
				ID 			= "' . $ID . '");';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
}
if ("gut" == $_GET['section'])
{
	$sql = 'UPDATE ' . PREFIX . '_Gutschriften SET
				Preis	= "' . $_POST['Auftrag_Preis'] . '"
			WHERE
				(Jahr 		= "' . $Jahr . '"
			AND
				ID 			= "' . $ID . '");';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
}
if ("turnus" == $_GET['section'])
{
	$sql = 'UPDATE ' . PREFIX . '_Reminder SET
				Preis	= "' . $_POST['Preis'] . '"
			WHERE
				(Jahr 		= "' . $Jahr . '"
			AND
				ID 			= "' . $ID . '");';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
}

echo "<h2>" . $Typ . " Nummer " . str_replace(",", "_", $_POST['ID']) . " wurde gespeichert!</h2>\n";
if ("turnus" == $_GET['section'])
{
	include __DIR__ . "/turnus_edit.php";
}
else
{
	echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
	echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "	<input type=\"submit\" class=\"button_view\" name=\"formaction\" value=\"view\" title=\"" . $Typ . " anzeigen\" />\n";
	echo "	<input type=\"submit\" class=\"button_email\" name=\"formaction\" value=\"email\" title=\"" . $Typ . " versenden\" />\n";
	echo "</form>\n";
	echo "<br class=\"fix\" />\n";
}